## cantor 20.08.2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "2")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(cantor VERSION ${RELEASE_SERVICE_VERSION})

set(KF5_MIN_VERSION "5.49.0")

find_package(ECM 5.15.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${cantor_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 5.8.0 CONFIG REQUIRED
    Core
    Widgets
    PrintSupport
    Svg
    Xml
    XmlPatterns
    Test)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    Config
    Crash
    Completion
    DocTools
    NewStuff
    IconThemes
    TextEditor
    CoreAddons
    Archive
    Parts
    SyntaxHighlighting
    TextWidgets
    KIO
    XmlGui
    I18n
)

find_package(Poppler "0.62.0" REQUIRED COMPONENTS Qt5)


if(NOT WIN32)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED Pty)
endif()

option(USE_LIBSPECTRE "Use libspectre library" ON)

include(FeatureSummary)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMAddAppIcon)
include(GenerateExportHeader)

add_subdirectory(thirdparty)
# Need to set this here, because variable can't move from subdirectory (thirdparty) to upper cmake scope
set(Discount_FOUND TRUE)

if(NOT WIN32 AND USE_LIBSPECTRE)
    set_package_properties(LibSpectre PROPERTIES DESCRIPTION "A PostScript rendering library"
        URL "https://www.freedesktop.org/wiki/Software/libspectre/"
        TYPE OPTIONAL
        PURPOSE "Support for rendering EPS files in Cantor")

    find_package(LibSpectre)
    if(LIBSPECTRE_FOUND)
        set(WITH_EPS On)
    else(LIBSPECTRE_FOUND)
        set(WITH_EPS Off)
    endif(LIBSPECTRE_FOUND)

else()
    set(WITH_EPS Off)
endif()

#[[
find_package(Discount 2.2.0)
set_package_properties(Discount PROPERTIES DESCRIPTION "A C implementation of the Markdown markup language"
    URL "https://www.pell.portland.or.us/~orc/Code/discount/"
    TYPE OPTIONAL
    PURPOSE "Used for Markdown entries in Cantor")
]]#

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -DQT_NO_DEBUG_OUTPUT")

kde_enable_exceptions()

# FIXME Looks like docbook on Windows don't buildable at all, so it are temporarily disabled
if(NOT WIN32)
    add_subdirectory(doc)
endif(NOT WIN32)
add_subdirectory(src)
add_subdirectory(icons)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Cantor")
configure_package_config_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/CantorConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/CantorConfig.cmake
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}/
    #PATH_VARS INCLUDE_INSTALL_DIR SYSCONFIG_INSTALL_DIR
)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX CANTOR
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/cantor_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/CantorConfigVersion.cmake"
)
install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/CantorConfig.cmake
          ${CMAKE_CURRENT_BINARY_DIR}/CantorConfigVersion.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT Devel
)

install(EXPORT CantorTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE CantorTargets.cmake
    NAMESPACE Cantor::
)


ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
install(FILES org.kde.cantor.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
cantor (4:20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 18:39:05 +0100

## cantor 20.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "20")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cantor VERSION ${RELEASE_SERVICE_VERSION})

=== src/test/CMakeLists.txt ===
set(worksheettest_SRCS
    ../worksheet.cpp
    ../worksheetview.cpp
    ../worksheetentry.cpp
    ../worksheettextitem.cpp
    ../worksheetimageitem.cpp
    ../commandentry.cpp
    ../textentry.cpp
    ../markdownentry.cpp
    ../pagebreakentry.cpp
    ../imageentry.cpp
    ../latexentry.cpp
    ../placeholderentry.cpp
    ../horizontalruleentry.cpp
    ../worksheetcursor.cpp
    ../searchbar.cpp
    ../actionbar.cpp
    ../worksheettoolbutton.cpp
    ../imagesettingsdialog.cpp
    ../scripteditor/scripteditorwidget.cpp
    ../resultitem.cpp
    ../textresultitem.cpp
    ../imageresultitem.cpp
    ../animationresultitem.cpp
    ../loadedexpression.cpp
    ../animation.cpp
    ../mathrender.cpp
    ../mathrendertask.cpp
    ../worksheetcontrolitem.cpp
    worksheet_test.cpp)

ki18n_wrap_ui(worksheettest_SRCS ../imagesettings.ui)
ki18n_wrap_ui(worksheettest_SRCS ../standardsearchbar.ui)
ki18n_wrap_ui(worksheettest_SRCS ../extendedsearchbar.ui)
kconfig_add_kcfg_files(worksheettest_SRCS ../settings.kcfgc)

file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/data)
configure_file("data/Lecture-2B-Single-Atom-Lasing.ipynb" data COPYONLY)
configure_file("data/AEC.04 - Evolutionary Strategies and Covariance Matrix Adaptation.ipynb" data COPYONLY)
configure_file("data/Population_Genetics.ipynb" data COPYONLY)
configure_file("data/A Reaction-Diffusion Equation Solver in Python with Numpy.ipynb" data COPYONLY)
configure_file("data/Automata and Computability using Jupyter.ipynb" data COPYONLY)
configure_file("data/Cue Combination with Neural Populations .ipynb" data COPYONLY)
configure_file("data/Transformation2D.ipynb" data COPYONLY)
configure_file("data/TestMarkdownAttachment.ipynb" data COPYONLY)
configure_file("data/TestEntryLoad1.ipynb" data COPYONLY)
configure_file("data/TestEntryLoad2.ipynb" data COPYONLY)
configure_file("data/TestResultsLoad.ipynb" data COPYONLY)
configure_file("data/TestNotebookWithJson.ipynb" data COPYONLY)
configure_file("data/TestNotebookWithModJson.ipynb" data COPYONLY)
configure_file("data/EmptyPythonWorksheet.cws" data COPYONLY)
configure_file("data/TestCommandEntryExecutionAction.cws" data COPYONLY)
configure_file("data/TwoCommandEntryWithResults.cws" data COPYONLY)

set(PATH_TO_TEST_NOTEBOOKS ${CMAKE_CURRENT_BINARY_DIR}/data)
configure_file (config-cantor-test.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-cantor-test.h )

add_executable( testworksheet ${worksheettest_SRCS})
add_test(NAME testworksheet COMMAND testworksheet)
target_link_libraries( testworksheet
    cantorlibs
    cantor_config
    Qt5::Test
    Qt5::PrintSupport
    Qt5::Xml
    ${Qt5XmlPatterns_LIBRARIES}
    KF5::TextEditor
    Poppler::Qt5
)

if(LIBSPECTRE_FOUND)
    target_link_libraries(testworksheet ${LIBSPECTRE_LIBRARY})
endif(LIBSPECTRE_FOUND)
if(Discount_FOUND)
    target_link_libraries(testworksheet Discount::Lib)
endif(Discount_FOUND)

=== debian/changelog ===
cantor (4:20.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove the armhf, i386, and powerpc architectures from
    cantor-backend-scilab, as it will not be supported anymore soon on those
    architectures. (Closes: #973703)
  * Find also Python 3.9 and Python 3.10; patch find-newer-python.diff.
    (Closes: #972764)
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Re-export upstream signing key without extra signatures.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Nov 2020 13:02:39 +0100

cantor (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Aug 2020 08:38:45 +0200

=== debian/control ===
Source: cantor
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.49.0~),
               gettext,
               libanalitza-dev (>> 4:15.08),
               libglib2.0-dev,
               libkf5archive-dev (>= 5.49.0~),
               libkf5completion-dev (>= 5.49.0~),
               libkf5config-dev (>= 5.49.0~),
               libkf5coreaddons-dev (>= 5.49.0~),
               libkf5crash-dev (>= 5.49.0~),
               libkf5doctools-dev (>= 5.49.0~),
               libkf5i18n-dev (>= 5.49.0~),
               libkf5iconthemes-dev (>= 5.49.0~),
               libkf5kio-dev (>= 5.49.0~),
               libkf5newstuff-dev (>= 5.49.0~),
               libkf5parts-dev (>= 5.49.0~),
               libkf5pty-dev (>= 5.49.0~),
               libkf5syntaxhighlighting-dev (>= 5.49.0~),
               libkf5texteditor-dev (>= 5.49.0~),
               libkf5textwidgets-dev (>= 5.49.0~),
               libkf5xmlgui-dev (>= 5.49.0~),
               liblapack3,
               libluajit-5.1-dev [i386 amd64],
               libmarkdown2-dev,
               libpoppler-qt5-dev,
               libqalculate-dev,
               libqt5svg5-dev (>= 5.8.0~),
               libqt5xmlpatterns5-dev (>= 5.8.0~),
               libspectre-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               python3-dev,
               qtbase5-dev (>= 5.8.0~),
               r-base-core,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://edu.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cantor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cantor.git

Package: cantor
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cantor-backend-qalculate, texlive-binaries, texlive-latex-base
Suggests: cantor-backend-kalgebra,
          cantor-backend-lua [i386 amd64],
          cantor-backend-maxima,
          cantor-backend-octave,
          cantor-backend-python3,
          cantor-backend-r,
          cantor-backend-sage,
          cantor-backend-scilab [amd64 arm64 ppc64el s390x],
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: interface for mathematical applications
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 Cantor supports various mathematical applications as backends (provided in
 external packages):
  * Maxima Computer Algebra System (cantor-backend-maxima)
  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
  * Python (cantor-backend-python3)
  * Scilab (cantor-backend-scilab)
  * Qalculate! (cantor-backend-qalculate)
  * Lua (cantor-backend-lua)
 .
 This package is part of the KDE education module.

Package: cantor-backend-kalgebra
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KAlgebra backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using KAlgebra
 (https://edu.kde.org/kalgebra) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-lua
Architecture: amd64 i386
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Lua backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Lua language
 (https://www.lua.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-maxima
Architecture: any
Section: math
Depends: maxima, ${misc:Depends}, ${shlibs:Depends}
Description: Maxima backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Maxima Computer Algebra System
 (http://maxima.sourceforge.net) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-octave
Architecture: any
Section: math
Depends: octave, ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Octave backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the GNU Octave language for
 numerical computations (https://www.octave.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-python3
Architecture: any
Section: math
Depends: python3,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libcantor-pythonbackend (<< 4:20.04.2~)
Replaces: libcantor-pythonbackend (<< 4:20.04.2~)
Description: Python3 backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Python3 language
 (https://www.python.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-qalculate
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Qalculate! backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Qalculate! calculator
 (https://qalculate.github.io/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-r
Architecture: any
Section: math
Depends: r-base-core, ${misc:Depends}, ${shlibs:Depends}
Suggests: r-base-html
Description: R backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the R Project for Statistical
 Computing (https://www.r-project.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-sage
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sagemath
Description: Sage backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Sage Mathematics Software
 (https://www.sagemath.org) in Cantor.
 .
 Please note that sagemath is not available in Debian, so you need to manually
 install it for this package to work.
 .
 This package is part of the KDE education module.

Package: cantor-backend-scilab
Architecture: amd64 arm64 ppc64el s390x
Section: math
Depends: scilab-cli, ${misc:Depends}, ${shlibs:Depends}
Breaks: cantor (<< 4:17.08.3~)
Replaces: cantor (<< 4:17.08.3~)
Description: Scilab backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It provides dialogs
 to assist with common tasks and allows you to share your worksheets
 with others.
 .
 This package provides the backend for using the Scilab scientific software
 package for numerical computations (https://www.scilab.org) in Cantor.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = cantor
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_install:
	dh_auto_install
	# do not ship the development stuff for now
	rm -rf debian/tmp/usr/include/cantor/
	rm -rf debian/tmp/usr/lib/*/cmake/
	find debian/tmp -name '*.so' -type l -delete

override_dh_gencontrol: l10npkgs_firstversion_ok libpkgs_gen_strict_local_shlibs
	dh_gencontrol

## cantor 20.12.0

=== debian/changelog ===
cantor (4:20.12.0-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Bumped build deps to always build with latest analitza.
    - Keep cantor-dev package.
    - cantor-backend-maxima: Do not depend on maxima on ricsv64, where for
      now it is not available.

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Dec 2020 16:10:56 +0000

cantor (4:20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.0).
  * Drop superseeded patch find-newer-python.diff.
  * Deregister all the /etc/xdg/*.knsrc files, moved.
  * Update upstream metadata.

 -- Norbert Preining <norbert@preining.info>  Tue, 15 Dec 2020 12:13:05 +0900

cantor (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Drop now obsolete find-newer-python.diff
  * debian/control: Fix invalid Recommends field.
  * Move knsrc files to new standard location and unregister from
    /etc/xdg/
  * Install new header files in cantor-dev

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:22:10 +0000

cantor (4:20.08.3-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Nov 2020 00:21:24 +0100

cantor (4:20.08.3-2) experimental; urgency=medium

  * Team upload.
  * Enable the Julia backend, only on amd64 for now: (Closes: #808001)
    - add a new cantor-backend-julia package, mentioning it in suggests and
      descriptions
    - add the julia, and libjulia-dev build dependencies
    - remove debian/not-installed, no more needed now
  * Make the discount build verbose; patch discount-build-verbose.diff.
  * Update lintian overrides.
  * Export CFLAGS including CPPFLAGS during build, so the discount copy is
    configured, and built with all the right build flags.
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 19 Nov 2020 09:36:42 +0100

cantor (4:20.08.3-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 18:31:10 +0100

cantor (4:20.08.3-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Bumped build deps to always build with latest analitza.
    - Keep cantor-dev package.
    - Build with Julia on supported architectures, and re-add backend package.
    - Breaks/Replaces and maintscipt for config files moved from main cantor
      package to their respective backends.
    - Temporarily demote maxima to a recommends, while it is not available
      on all architectures.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Nov 2020 11:24:34 +0000

cantor (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:46:58 +0000

=== debian/control ===
--- 
+++ 
@@ -3,32 +3,34 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5.0~),
+Build-Depends: cmake (>= 3.12~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
-               libanalitza-dev (>> 4:15.08),
+               julia [amd64],
+               libanalitza-dev (>> 4:20.12.0~),
                libglib2.0-dev,
-               libkf5archive-dev (>= 5.49.0~),
-               libkf5completion-dev (>= 5.49.0~),
-               libkf5config-dev (>= 5.49.0~),
-               libkf5coreaddons-dev (>= 5.49.0~),
-               libkf5crash-dev (>= 5.49.0~),
-               libkf5doctools-dev (>= 5.49.0~),
-               libkf5i18n-dev (>= 5.49.0~),
-               libkf5iconthemes-dev (>= 5.49.0~),
-               libkf5kio-dev (>= 5.49.0~),
-               libkf5newstuff-dev (>= 5.49.0~),
-               libkf5parts-dev (>= 5.49.0~),
-               libkf5pty-dev (>= 5.49.0~),
-               libkf5syntaxhighlighting-dev (>= 5.49.0~),
-               libkf5texteditor-dev (>= 5.49.0~),
-               libkf5textwidgets-dev (>= 5.49.0~),
-               libkf5xmlgui-dev (>= 5.49.0~),
+               libjulia-dev [amd64],
+               libkf5archive-dev (>= 5.57.0~),
+               libkf5completion-dev (>= 5.57.0~),
+               libkf5config-dev (>= 5.57.0~),
+               libkf5coreaddons-dev (>= 5.57.0~),
+               libkf5crash-dev (>= 5.57.0~),
+               libkf5doctools-dev (>= 5.57.0~),
+               libkf5i18n-dev (>= 5.57.0~),
+               libkf5iconthemes-dev (>= 5.57.0~),
+               libkf5kio-dev (>= 5.57.0~),
+               libkf5newstuff-dev (>= 5.57.0~),
+               libkf5parts-dev (>= 5.57.0~),
+               libkf5pty-dev (>= 5.57.0~),
+               libkf5syntaxhighlighting-dev (>= 5.57.0~),
+               libkf5texteditor-dev (>= 5.57.0~),
+               libkf5textwidgets-dev (>= 5.57.0~),
+               libkf5xmlgui-dev (>= 5.57.0~),
                liblapack3,
                libluajit-5.1-dev [i386 amd64],
                libmarkdown2-dev,
-               libpoppler-qt5-dev,
+               libpoppler-qt5-dev (>= 0.62.0~),
                libqalculate-dev,
                libqt5svg5-dev (>= 5.8.0~),
                libqt5xmlpatterns5-dev (>= 5.8.0~),
@@ -38,18 +40,19 @@
                python3-dev,
                qtbase5-dev (>= 5.8.0~),
                r-base-core,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cantor
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cantor.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
 
 Package: cantor
 Architecture: any
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: cantor-backend-qalculate, texlive-binaries, texlive-latex-base
-Suggests: cantor-backend-kalgebra,
+Suggests: cantor-backend-julia [amd64],
+          cantor-backend-kalgebra,
           cantor-backend-lua [i386 amd64],
           cantor-backend-maxima,
           cantor-backend-octave,
@@ -75,6 +78,22 @@
   * Scilab (cantor-backend-scilab)
   * Qalculate! (cantor-backend-qalculate)
   * Lua (cantor-backend-lua)
+  * Julia (cantor-backend-julia)
+ .
+ This package is part of the KDE education module.
+
+Package: cantor-backend-julia
+Architecture: amd64
+Section: math
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Julia backend for Cantor
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the backend for using the Julia programming language
+ (https://julialang.org) in Cantor.
  .
  This package is part of the KDE education module.
 
@@ -113,7 +132,7 @@
 Package: cantor-backend-maxima
 Architecture: any
 Section: math
-Depends: maxima, ${misc:Depends}, ${shlibs:Depends}
+Depends: maxima [!riscv64], ${misc:Depends}, ${shlibs:Depends}
 Description: Maxima backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -145,9 +164,7 @@
 Package: cantor-backend-python3
 Architecture: any
 Section: math
-Depends: python3,
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: python3, ${misc:Depends}, ${shlibs:Depends}
 Breaks: libcantor-pythonbackend (<< 4:20.04.2~)
 Replaces: libcantor-pythonbackend (<< 4:20.04.2~)
 Description: Python3 backend for Cantor
@@ -229,3 +246,17 @@
  package for numerical computations (https://www.scilab.org) in Cantor.
  .
  This package is part of the KDE education module.
+
+Package: cantor-dev
+Architecture: any
+Section: libdevel
+Depends: cantor (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: interface for mathematical applications - development files
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package is part of the KDE education module.
+ .
+ This package contains development files for cantor.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = cantor
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_build:
	# manually export CFLAGS with CPPFLAGS during build, because:
	# - ExternalProject is used, so cmake is run to configure discount
	# - cmake doesn't respect CPPFLAGS, see #653916
	CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" dh_auto_build

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_gencontrol: l10npkgs_firstversion_ok libpkgs_gen_strict_local_shlibs
	dh_gencontrol

## cantor 20.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,20 +1,20 @@
-cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
+cmake_minimum_required (VERSION 3.12 FATAL_ERROR)
 
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "20")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(cantor VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF5_MIN_VERSION "5.49.0")
+set(KF5_MIN_VERSION "5.57.0")
 
 find_package(ECM 5.15.0 REQUIRED CONFIG)
-set(CMAKE_MODULE_PATH ${cantor_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${cantor_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
 
 find_package(Qt5 5.8.0 CONFIG REQUIRED
     Core

=== src/backends/CMakeLists.txt ===
function(add_backend name)

    kcoreaddons_add_plugin("cantor_${name}"
        SOURCES ${ARGN}
        JSON "${name}.json"
        INSTALL_NAMESPACE "cantor/backends")

    target_link_libraries("cantor_${name}"
        cantorlibs)

endfunction()

add_subdirectory(maxima)
add_subdirectory(octave)
add_subdirectory(scilab)

if(NOT WIN32)
    add_subdirectory(sage)
endif(NOT WIN32)

set_package_properties(Analitza5 PROPERTIES DESCRIPTION "A library provided by KAlgebra."
    URL "https://edu.kde.org/kalgebra/"
    TYPE OPTIONAL
    PURPOSE "Backend to use KAlgebra with Cantor.")

find_package(Analitza5)
if(Analitza5_FOUND)
    add_subdirectory(kalgebra)
endif(Analitza5_FOUND)

if(NOT WIN32)
    set_package_properties(R PROPERTIES DESCRIPTION "A free software environment for statistical computing and graphics."
        URL "https://www.r-project.org/"
        TYPE OPTIONAL
        PURPOSE "Backend to use R with Cantor.")

    find_package(R)
    if(R_FOUND)
        add_subdirectory(R)
    endif(R_FOUND)
endif(NOT WIN32)

set_package_properties(Qalculate PROPERTIES DESCRIPTION "A multi-purpose desktop calculator with support for customizable functions, units and arbitrary precision."
    URL "https://qalculate.github.io/"
    TYPE OPTIONAL
    PURPOSE "Backend to use Qalculate with Cantor.")

find_package(Qalculate)
if(QALCULATE_FOUND)
    add_subdirectory(qalculate)
endif(QALCULATE_FOUND)

set_package_properties(Python3 PROPERTIES TYPE OPTIONAL
    PURPOSE "Backend to use Python with Cantor.")

find_package(Python3 COMPONENTS Interpreter Development)
if(Python3_FOUND)
    add_subdirectory(python)
endif()

set_package_properties(LuaJIT PROPERTIES DESCRIPTION "A lightweight, extensible programming language (luajit implementation)."
    URL "https://www.lua.org/"
    TYPE OPTIONAL
    PURPOSE "Backend to use Lua (luajit2) with Cantor.")

find_package(LuaJIT)
if(LUAJIT_FOUND)
    add_subdirectory(lua)
endif(LUAJIT_FOUND)

set_package_properties(
    Julia
    PROPERTIES DESCRIPTION "A high-level, high-performance dynamic programming language for technical computing"
    URL "https://julialang.org/"
    TYPE OPTIONAL
    PURPOSE "Backend to use Julia with Cantor.")

find_package(Julia)
if(Julia_FOUND)
    add_subdirectory(julia)
endif()

=== src/test/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
     ../latexentry.cpp
     ../placeholderentry.cpp
     ../horizontalruleentry.cpp
+    ../hierarchyentry.cpp
     ../worksheetcursor.cpp
     ../searchbar.cpp
     ../actionbar.cpp

=== src/assistants/plot3d/CMakeLists.txt ===
set( Plot3dAssistant_SRCS
     plot3dassistant.cpp
)

ki18n_wrap_ui(Plot3dAssistant_SRCS plot3ddlg.ui)

add_assistant(plot3dassistant ${Plot3dAssistant_SRCS})

install( FILES cantor_plot3d_assistant.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/cantor )

=== src/assistants/runscript/CMakeLists.txt ===
set( RunScriptAssistant_SRCS
     runscriptassistant.cpp
)

add_assistant(runscriptassistant ${RunScriptAssistant_SRCS})

target_link_libraries( cantor_runscriptassistant ${KDE4_KIO_LIBS} cantorlibs)

install( FILES cantor_runscript_assistant.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/cantor )

=== src/backends/R/CMakeLists.txt ===
include_directories(${R_INCLUDEDIR})
LINK_DIRECTORIES(${R_SHAREDLIBDIR})

add_subdirectory(rserver)

set( RBackend_SRCS
  rbackend.cpp
  rsession.cpp
  rexpression.cpp
  rextensions.cpp
  rcompletionobject.cpp
  rhighlighter.cpp
  rkeywords.cpp
  rsettingswidget.cpp
  rvariablemodel.cpp
)

kconfig_add_kcfg_files(RBackend_SRCS rserver/settings.kcfgc)

set(network_xml rserver/org.kde.Cantor.R.xml)
QT5_ADD_DBUS_INTERFACE(RBackend_SRCS ${network_xml} rserver_interface )

ki18n_wrap_ui(RBackend_SRCS settings.ui)

add_backend(rbackend ${RBackend_SRCS})

set_target_properties( cantor_rbackend PROPERTIES INSTALL_RPATH_USE_LINK_PATH false)
target_link_libraries( cantor_rbackend ${R_USED_LIBS} KF5::SyntaxHighlighting)

if(BUILD_TESTING)
  add_executable( testr testr.cpp)
  add_test(NAME testr COMMAND testr)
  ecm_mark_as_test(testr)
  target_link_libraries( testr
    Qt5::Test
    cantorlibs
    cantortest
  )
endif(BUILD_TESTING)

install( FILES cantor_r.knsrc  DESTINATION  ${KDE_INSTALL_KNSRCDIR} )

=== src/backends/octave/CMakeLists.txt ===
set( OctaveBackend_SRCS
  octavebackend.cpp
  octavesession.cpp
  octaveexpression.cpp
  octaveextensions.cpp
  octavehighlighter.cpp
  octavekeywords.cpp
  octavecompletionobject.cpp
  octavesyntaxhelpobject.cpp
  octavevariablemodel.cpp
)

add_subdirectory(scripts)

if (WITH_EPS)
    set(DEFAULT_PLOT_FORMAT "eps")
    set(EPS_PLOT_FORMAT_CHOICE "<choice name=\"eps\"/>")
    file(READ with_eps_ui_part.txt EPS_PLOT_FORMAT_UI_ELEMENT)
else (WITH_EPS)
    set(DEFAULT_PLOT_FORMAT "png")
endif (WITH_EPS)
configure_file(octavebackend.kcfg.in ${CMAKE_CURRENT_BINARY_DIR}/octavebackend.kcfg)
configure_file(settings.ui.in ${CMAKE_CURRENT_BINARY_DIR}/settings.ui)

kconfig_add_kcfg_files(OctaveBackend_SRCS settings.kcfgc)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/octavebackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(OctaveBackend_SRCS ${CMAKE_CURRENT_BINARY_DIR}/settings.ui)

add_backend(octavebackend ${OctaveBackend_SRCS})

target_link_libraries(cantor_octavebackend
  KF5::KIOCore
  KF5::ConfigCore
  KF5::ConfigGui
  KF5::SyntaxHighlighting
)


if(BUILD_TESTING)
  add_executable( testoctave testoctave.cpp ${OctaveBackend_SRCS})
  add_test(NAME testoctave COMMAND testoctave)
  ecm_mark_as_test(testoctave)
  target_link_libraries( testoctave
    Qt5::Test
    KF5::SyntaxHighlighting
    cantorlibs
    cantortest
  )
endif(BUILD_TESTING)

install(FILES cantor_octave.knsrc  DESTINATION  ${KDE_INSTALL_KNSRCDIR} )

install(FILES graphic_packages.xml DESTINATION ${KDE_INSTALL_DATADIR}/cantor/octave)

=== src/backends/python/CMakeLists.txt ===
set( PythonBackend_SRCS
  pythonbackend.cpp
  pythonsession.cpp
  pythonexpression.cpp
  pythonkeywords.cpp
  pythonvariablemodel.cpp
  pythonhighlighter.cpp
  pythoncompletionobject.cpp
  pythonextensions.cpp
)

set(PythonServer_SRCS
  pythonservermain.cpp
  pythonserver.cpp
)

qt5_add_resources(PythonBackend_RSCS python.qrc)
ki18n_wrap_ui(PythonBackend_SRCS settings.ui)
kconfig_add_kcfg_files(PythonBackend_SRCS settings.kcfgc)

add_backend(pythonbackend ${PythonBackend_SRCS} ${PythonBackend_RSCS})
target_link_libraries(cantor_pythonbackend
  cantorlibs
  KF5::KIOCore
  KF5::ConfigCore
  KF5::ConfigGui
  KF5::SyntaxHighlighting
)

add_executable(cantor_pythonserver ${PythonServer_SRCS})
set_target_properties(cantor_pythonserver PROPERTIES INSTALL_RPATH_USE_LINK_PATH false)
if(MSVC)
  set_property(TARGET cantor_pythonserver PROPERTY LINK_FLAGS "/SUBSYSTEM:CONSOLE")
endif()
target_link_libraries(cantor_pythonserver Python3::Python)

if(BUILD_TESTING)
  add_executable(testpython testpython.cpp settings.cpp)
  add_test(NAME testpython COMMAND testpython)
  target_link_libraries(testpython
    Qt5::Test
    KF5::ConfigCore
    KF5::ConfigGui
    cantorlibs
    cantortest
  )
endif(BUILD_TESTING)

install(FILES cantor_python.knsrc  DESTINATION  ${KDE_INSTALL_KNSRCDIR})
install(FILES pythonbackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

install(TARGETS cantor_pythonbackend DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS cantor_pythonserver DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES graphic_packages.xml DESTINATION ${KDE_INSTALL_DATADIR}/cantor/python)

#install(DIRECTORY . DESTINATION ${KDE_INSTALL_DATADIR}/cantor/pythonbackend FILES_MATCHING PATTERN "*.py")

=== src/backends/sage/CMakeLists.txt ===
set( SageBackend_SRCS
  sagebackend.cpp
  sagesession.cpp
  sageexpression.cpp
  sageextensions.cpp
  sagekeywords.cpp
  sagehighlighter.cpp
  sagecompletionobject.cpp
)

kconfig_add_kcfg_files(SageBackend_SRCS settings.kcfgc)
install(FILES sagebackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(SageBackend_SRCS settings.ui)

add_backend(sagebackend ${SageBackend_SRCS})

target_link_libraries( cantor_sagebackend
    KF5::Pty
    KF5::SyntaxHighlighting)

if(BUILD_TESTING)
  add_executable( testsage testsage.cpp)
  add_test(NAME testsage COMMAND testsage)
  target_link_libraries( testsage
    Qt5::Test
    cantorlibs
    cantortest
  )
endif()

install(FILES cantor_sage.knsrc  DESTINATION  ${KDE_INSTALL_KNSRCDIR})

install(
  PROGRAMS cantor-execsage
  DESTINATION ${KDE_INSTALL_DATADIR}/cantor/sagebackend
)

=== src/backends/scilab/CMakeLists.txt ===
set( ScilabBackend_SRCS
  scilabbackend.cpp
  scilabsession.cpp
  scilabexpression.cpp
  scilabextensions.cpp
  scilabkeywords.cpp
  scilabhighlighter.cpp
  scilabcompletionobject.cpp
)

kconfig_add_kcfg_files(ScilabBackend_SRCS settings.kcfgc)
install(FILES scilabbackend.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ki18n_wrap_ui(ScilabBackend_SRCS settings.ui)

add_backend(scilabbackend ${ScilabBackend_SRCS})

target_link_libraries(cantor_scilabbackend
  KF5::KIOCore
  KF5::SyntaxHighlighting
)

if(BUILD_TESTING)
  add_executable(testscilab testscilab.cpp)
  add_test(NAME testscilab COMMAND testscilab)
  target_link_libraries(testscilab
    Qt5::Test
    cantorlibs
    cantortest
  )
endif(BUILD_TESTING)

install(FILES cantor_scilab.knsrc  DESTINATION  ${KDE_INSTALL_KNSRCDIR})

=== debian/changelog ===
cantor (4:20.12.1-5) unstable; urgency=medium

  [ Norbert Preining ]
  * Add missing breaks (Closes: #988283)

 -- Norbert Preining <norbert@preining.info>  Wed, 19 May 2021 16:16:20 +0900

cantor (4:20.12.1-4) unstable; urgency=medium

  [ John Scott ]
  * Patch the Sage backend to work around issue in the SageMath package.
    (Addresses: #972346)
  * Update docs to reflect that Sage is in Debian now. (Closes: #980318)

 -- Norbert Preining <norbert@preining.info>  Tue, 02 Feb 2021 11:03:04 +0900

cantor (4:20.12.1-3) unstable; urgency=medium

  * Revert changes of previous version, not buildable.

 -- Norbert Preining <norbert@preining.info>  Sat, 16 Jan 2021 20:02:07 +0900

cantor (4:20.12.1-2) experimental; urgency=medium

  * Enable the Julia backend for other archs where Julia is built.

 -- Norbert Preining <norbert@preining.info>  Fri, 15 Jan 2021 13:05:22 +0900

cantor (4:20.12.1-1) experimental; urgency=medium

  * Update Maintainer name part.
  * New upstream release (20.12.1).
  * Add symbols file.
  * Add symbols helper to d/rules dh invocation.

 -- Norbert Preining <norbert@preining.info>  Tue, 12 Jan 2021 10:02:17 +0900

cantor (4:20.12.0-2) experimental; urgency=medium

  * Ship development files and split out shared library into separate
    packages.
  * Remove Maxy from uploaders, thanks for your work. Add myself.

 -- Norbert Preining <norbert@preining.info>  Tue, 05 Jan 2021 07:20:05 +0900

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: cantor
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.12~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>> 4:20.12.0~),
+               libanalitza-dev (>> 4:15.08),
                libglib2.0-dev,
                libjulia-dev [amd64],
                libkf5archive-dev (>= 5.57.0~),
@@ -39,12 +40,12 @@
                pkg-kde-tools (>> 0.15.15),
                python3-dev,
                qtbase5-dev (>= 5.8.0~),
-               r-base-core,
+               r-base-core
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cantor
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cantor.git
 
 Package: cantor
 Architecture: any
@@ -59,7 +60,7 @@
           cantor-backend-python3,
           cantor-backend-r,
           cantor-backend-sage,
-          cantor-backend-scilab [amd64 arm64 ppc64el s390x],
+          cantor-backend-scilab [amd64 arm64 ppc64el s390x]
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}
 Description: interface for mathematical applications
@@ -82,18 +83,34 @@
  .
  This package is part of the KDE education module.
 
-Package: cantor-backend-julia
-Architecture: amd64
-Section: math
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Julia backend for Cantor
- Cantor is an application to allow you to you use your favorite mathematical
- applications from within an elegant worksheet interface. It provides dialogs
- to assist with common tasks and allows you to share your worksheets
- with others.
- .
- This package provides the backend for using the Julia programming language
- (https://julialang.org) in Cantor.
+Package: libcantorlibs28
+Architecture: any
+Section: math
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: cantor (<< 4:20.12.0-2~)
+Breaks: cantor (<< 4:20.12.0-2~)
+Description: interface for mathematical applications - shared library
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the shared library for Cantor.
+ .
+ This package is part of the KDE education module.
+
+Package: libcantor-dev
+Architecture: any
+Section: devel
+Depends: ${misc:Depends}, ${shlibs:Depends},
+         libcantorlibs28 (=  ${binary:Version})
+Description: interface for mathematical applications - development files
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the development headers for Cantor.
  .
  This package is part of the KDE education module.
 
@@ -132,7 +149,7 @@
 Package: cantor-backend-maxima
 Architecture: any
 Section: math
-Depends: maxima [!riscv64], ${misc:Depends}, ${shlibs:Depends}
+Depends: maxima, ${misc:Depends}, ${shlibs:Depends}
 Description: Maxima backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -225,9 +242,6 @@
  This package provides the backend for using the Sage Mathematics Software
  (https://www.sagemath.org) in Cantor.
  .
- Please note that sagemath is not available in Debian, so you need to manually
- install it for this package to work.
- .
  This package is part of the KDE education module.
 
 Package: cantor-backend-scilab
@@ -247,16 +261,17 @@
  .
  This package is part of the KDE education module.
 
-Package: cantor-dev
-Architecture: any
-Section: libdevel
-Depends: cantor (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Description: interface for mathematical applications - development files
- Cantor is an application to allow you to you use your favorite mathematical
- applications from within an elegant worksheet interface. It provides dialogs
- to assist with common tasks and allows you to share your worksheets
- with others.
- .
- This package is part of the KDE education module.
- .
- This package contains development files for cantor.
+Package: cantor-backend-julia
+Architecture: amd64
+Section: math
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Julia backend for Cantor
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the backend for using the Julia programming language
+ (https://julialang.org) in Cantor.
+ .
+ This package is part of the KDE education module.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk
 
 %:
-	dh $@ --with kf5
+	dh $@ --with kf5,pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF
